# Generated by Django 4.2.3 on 2023-08-01 13:31

from django.db import migrations, models

from core.utils import slugify_max


def generate_slug(apps, schema_editor):
    Organization = apps.get_model("core", "Organization")
    for organization in Organization.objects.all():
        organization.slug = slugify_max(organization.name, max_length=100)
        organization.save(update_fields=["slug"])


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0041_alter_repository_organization'),
    ]

    operations = [
        migrations.RemoveField(
            model_name="organization",
            name="active",
        ),
        migrations.AddField(
            model_name='organization',
            name='slug',
            field=models.SlugField(unique=True, max_length=100, null=True),
        ),
        migrations.RunPython(generate_slug, reverse_code=migrations.RunPython.noop),
        migrations.AlterField(
            model_name='organization',
            name='slug',
            field=models.SlugField(unique=True, max_length=100, null=False),
        ),
        migrations.AddField(
            model_name="organization",
            name="type",
            field=models.CharField(null=True),
        ),
        migrations.AddField(
            model_name="organization",
            name="description",
            field=models.TextField(null=True),
        ),
        migrations.AddField(
            model_name="organization",
            name="contact",
            field=models.JSONField(null=True),
        ),
    ]
